package vip.xiaonuo.production.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.erp.entity.SysBaseFilterInfo;
import vip.xiaonuo.production.entity.ProductionWritePlan;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.production.param.*;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 计划生产量填报 服务类
 * </p>
 *
 * @author author
 * @since 2025-02-25
 */
public interface IProductionWritePlanService extends IService<ProductionWritePlan> {

    CommonResult add(ProductionWritePlanAddParam param) throws ParseException;

    CommonResult list(Map<String, String> paramsMap);

    CommonResult edit(ProductionWritePlan writePlan);

    CommonResult delete(Map<String, String> paramsMap);

    Page<ProductionWritePlan> page(ProductionPageParam pageParam);

    //保存客户选择是否查看真实的实际生产量
    CommonResult save(ProductionSaveParam saveParam);

    //查看客户对于实际生产量的选择
    SysBaseFilterInfo getOne(ProductionWriteListParam writeListParam);
}
